#!/bin/bash

HOST_TO_DUMP="$1"
DMPDATE="$2"

usage() {
    echo "Usage: $0 <host_to_dump> <date>"
    echo "name of host db to dump"
    echo "date of dump in the form yyyymmdd"
    exit 1
}

if [ "$HOST_TO_DUMP" = "" ]
  then
    echo "Please enter host name"
    usage
    exit 1
fi

if [ "$DMPDATE" = "" ]
  then
    echo "Please enter the date of the dump to restore"
    usage
    exit 1
fi


DBNAME="$HOST_TO_DUMP"
PREFIX="$HOST_TO_DUMP-"
DATA=".pgdump"
USER="-U postgres"
SCHFILE="$DBNAME_$DMPDATE.pgdump"
DATA=".pgdump"

# separate multiple destinations with spaces
NOTIFY="someone@yourcompany.com someoneelse@yourcompany.com"
NOTIFY_ERROR="dba@alt.mozy.com someone@yourcompany.com"

backup_database() {
psql -U postgres -d $DBNAME -f $SCHFILE 2>&1 | tee backup.log

}

\t

#### MAIN ###

clear
echo "Host to dump = $HOST_TO_DUMP"
echo "date = $DMPDATE"
echo "DB = $DBNAME"

# Backup database

backup_database

if [ "$?" -ne "0" ]; then
    echo "restore_from_backup failed !!" | mailx -s "$HOST_TO_DUMP $DMPDATE database dump failed " $NOTIFY_ERROR
    exit 1
else
    echo "End pg_dump `date`" >> backup.log
    ls -l backup.log 2>&1 | mailx -s "$HOST_TO_DUMP $DMPDATE database restore successful " $NOTIFY
fi

exit 0

